# hornet-js-logger

hornet-js-logger fournit un module pour la création de logger pour les application hornet.

## Prérequis #

* NodeJS 10.X

## Utilisation dans un projet #

Ajouter au package.json

```shell
  "dependencies": {
    "hornet-js-logger": "5.5.X"
  }
```

Puis lancer la commande :

```shell
npm install
```
### Définition d'un logger
Ci-dessous, un exemple d'utilisation du logger
```javascript
import { Logger } from "hornet-js-logger/src/logger";

const logger: Logger = Logger.getLogger("nom_du_logger");

logger.trace("logger niveau trace");
logger.debug("logger niveau debug");
logger.info("logger niveau info");
logger.warn("logger niveau warn");
logger.error("logger niveau error");
logger.fatal("logger niveau fatal");
logger.log("logger niveau niveau par défaut");
```
